<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::noncopyable Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1noncopyable.html">noncopyable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classdlib_1_1noncopyable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::noncopyable Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::noncopyable:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1noncopyable.png" usemap="#dlib::noncopyable_map" alt=""/>
  <map id="dlib::noncopyable_map" name="dlib::noncopyable_map">
<area href="classdlib_1_1bayes__node.html" alt="dlib::bayes_node" shape="rect" coords="693,56,1376,80"/>
<area href="classdlib_1_1bayesian__network__gibbs__sampler.html" alt="dlib::bayesian_network_gibbs_sampler" shape="rect" coords="693,112,1376,136"/>
<area href="classdlib_1_1bayesian__network__join__tree.html" alt="dlib::bayesian_network_join_tree" shape="rect" coords="693,168,1376,192"/>
<area href="classdlib_1_1binned__vector__feature__image.html" alt="dlib::binned_vector_feature_image&lt; feature_extractor, hash_function_type_ &gt;" shape="rect" coords="693,224,1376,248"/>
<area href="classdlib_1_1bridge.html" alt="dlib::bridge" shape="rect" coords="693,280,1376,304"/>
<area href="classdlib_1_1bsp__context.html" alt="dlib::bsp_context" shape="rect" coords="693,336,1376,360"/>
<area href="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_011_01_4.html" alt="dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 1 &gt;" shape="rect" coords="693,392,1376,416"/>
<area href="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_012_01_4.html" alt="dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 2 &gt;" shape="rect" coords="693,448,1376,472"/>
<area href="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_013_01_4.html" alt="dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 3 &gt;" shape="rect" coords="693,504,1376,528"/>
<area href="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_014_01_4.html" alt="dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 4 &gt;" shape="rect" coords="693,560,1376,584"/>
<area href="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_015_01_4.html" alt="dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 5 &gt;" shape="rect" coords="693,616,1376,640"/>
<area href="classdlib_1_1conditional__probability__table.html" alt="dlib::conditional_probability_table" shape="rect" coords="693,672,1376,696"/>
<area href="classdlib_1_1const__temp__matrix.html" alt="dlib::const_temp_matrix&lt; EXP &gt;" shape="rect" coords="693,728,1376,752"/>
<area href="classdlib_1_1database.html" alt="dlib::database" shape="rect" coords="693,784,1376,808"/>
<area href="classdlib_1_1directed__graph__kernel__1.html" alt="dlib::directed_graph_kernel_1&lt; T, E, mem_manager, is_checked &gt;" shape="rect" coords="693,840,1376,864"/>
<area href="classdlib_1_1fine__hog__image.html" alt="dlib::fine_hog_image&lt; cell_size_, block_size_, pixel_stride_, num_orientation_bins_, gradient_type_ &gt;" shape="rect" coords="693,896,1376,920"/>
<area href="classdlib_1_1graph__kernel__1.html" alt="dlib::graph_kernel_1&lt; T, E, mem_manager, is_checked &gt;" shape="rect" coords="693,952,1376,976"/>
<area href="classdlib_1_1hashed__feature__image.html" alt="dlib::hashed_feature_image&lt; feature_extractor, hash_function_type_ &gt;" shape="rect" coords="693,1008,1376,1032"/>
<area href="classdlib_1_1hessian__pyramid.html" alt="dlib::hessian_pyramid" shape="rect" coords="693,1064,1376,1088"/>
<area href="classdlib_1_1hog__image.html" alt="dlib::hog_image&lt; cell_size_, block_size_, cell_stride_, num_orientation_bins_, gradient_type_, interpolation_type_ &gt;" shape="rect" coords="693,1120,1376,1144"/>
<area href="classdlib_1_1impl1_1_1thread__safe__message__queue.html" alt="dlib::impl1::thread_safe_message_queue" shape="rect" coords="693,1176,1376,1200"/>
<area href="classdlib_1_1impl_1_1impl__bridge.html" alt="dlib::impl::impl_bridge&lt; transmit_pipe_type, receive_pipe_type &gt;" shape="rect" coords="693,1232,1376,1256"/>
<area href="classdlib_1_1impl_1_1pyramid__down__2__1.html" alt="dlib::impl::pyramid_down_2_1" shape="rect" coords="693,1288,1376,1312"/>
<area href="classdlib_1_1impl_1_1pyramid__down__3__2.html" alt="dlib::impl::pyramid_down_3_2" shape="rect" coords="693,1344,1376,1368"/>
<area href="classdlib_1_1integral__image__generic.html" alt="dlib::integral_image_generic&lt; T &gt;" shape="rect" coords="693,1400,1376,1424"/>
<area href="classdlib_1_1jpeg__loader.html" alt="dlib::jpeg_loader" shape="rect" coords="693,1456,1376,1480"/>
<area href="classdlib_1_1kkmeans.html" alt="dlib::kkmeans&lt; kernel_type &gt;" shape="rect" coords="693,1512,1376,1536"/>
<area href="classdlib_1_1locally__change__current__dir.html" alt="dlib::locally_change_current_dir" shape="rect" coords="693,1568,1376,1592"/>
<area href="classdlib_1_1mlp__kernel__1.html" alt="dlib::mlp_kernel_1" shape="rect" coords="693,1624,1376,1648"/>
<area href="classdlib_1_1nearest__neighbor__feature__image.html" alt="dlib::nearest_neighbor_feature_image&lt; feature_extractor &gt;" shape="rect" coords="693,1680,1376,1704"/>
<area href="classdlib_1_1perspective__display.html" alt="dlib::perspective_display" shape="rect" coords="693,1736,1376,1760"/>
<area href="classdlib_1_1perspective__window.html" alt="dlib::perspective_window" shape="rect" coords="693,1792,1376,1816"/>
<area href="classdlib_1_1png__loader.html" alt="dlib::png_loader" shape="rect" coords="693,1848,1376,1872"/>
<area href="classdlib_1_1poly__image.html" alt="dlib::poly_image&lt; Downsample &gt;" shape="rect" coords="693,1904,1376,1928"/>
<area href="classdlib_1_1pyramid__disable.html" alt="dlib::pyramid_disable" shape="rect" coords="693,1960,1376,1984"/>
<area href="classdlib_1_1pyramid__down.html" alt="dlib::pyramid_down&lt; N &gt;" shape="rect" coords="693,2016,1376,2040"/>
<area href="classdlib_1_1row__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_011_01_4.html" alt="dlib::row_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 1 &gt;" shape="rect" coords="693,2072,1376,2096"/>
<area href="classdlib_1_1row__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_012_01_4.html" alt="dlib::row_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 2 &gt;" shape="rect" coords="693,2128,1376,2152"/>
<area href="classdlib_1_1row__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_013_01_4.html" alt="dlib::row_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 3 &gt;" shape="rect" coords="693,2184,1376,2208"/>
<area href="classdlib_1_1row__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_014_01_4.html" alt="dlib::row_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 4 &gt;" shape="rect" coords="693,2240,1376,2264"/>
<area href="classdlib_1_1row__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_015_01_4.html" alt="dlib::row_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 5 &gt;" shape="rect" coords="693,2296,1376,2320"/>
<area href="classdlib_1_1scan__fhog__pyramid.html" alt="dlib::scan_fhog_pyramid&lt; Pyramid_type, Feature_extractor_type &gt;" shape="rect" coords="693,2352,1376,2376"/>
<area href="classdlib_1_1scan__image__boxes.html" alt="dlib::scan_image_boxes&lt; Feature_extractor_type, Box_generator &gt;" shape="rect" coords="693,2408,1376,2432"/>
<area href="classdlib_1_1scan__image__custom.html" alt="dlib::scan_image_custom&lt; Feature_extractor_type &gt;" shape="rect" coords="693,2464,1376,2488"/>
<area href="classdlib_1_1scan__image__pyramid.html" alt="dlib::scan_image_pyramid&lt; Pyramid_type, Feature_extractor_type &gt;" shape="rect" coords="693,2520,1376,2544"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; T, deleter &gt;" shape="rect" coords="693,2576,1376,2600"/>
<area href="classdlib_1_1scoped__ptr_3_01_t[]_00_01deleter_01_4.html" alt="dlib::scoped_ptr&lt; T[], deleter &gt;" shape="rect" coords="693,2632,1376,2656"/>
<area href="classdlib_1_1stack__based__memory__block.html" alt="dlib::stack_based_memory_block&lt; bSIZE &gt;" shape="rect" coords="693,2688,1376,2712"/>
<area href="classdlib_1_1statement.html" alt="dlib::statement" shape="rect" coords="693,2744,1376,2768"/>
<area href="classdlib_1_1structural__object__detection__trainer.html" alt="dlib::structural_object_detection_trainer&lt; image_scanner_type &gt;" shape="rect" coords="693,2800,1376,2824"/>
<area href="classdlib_1_1structural__svm__assignment__problem.html" alt="dlib::structural_svm_assignment_problem&lt; feature_extractor &gt;" shape="rect" coords="693,2856,1376,2880"/>
<area href="classdlib_1_1structural__svm__graph__labeling__problem.html" alt="dlib::structural_svm_graph_labeling_problem&lt; graph_type &gt;" shape="rect" coords="693,2912,1376,2936"/>
<area href="classdlib_1_1structural__svm__object__detection__problem.html" alt="dlib::structural_svm_object_detection_problem&lt; image_scanner_type, image_array_type &gt;" shape="rect" coords="693,2968,1376,2992"/>
<area href="classdlib_1_1structural__svm__sequence__labeling__problem.html" alt="dlib::structural_svm_sequence_labeling_problem&lt; feature_extractor &gt;" shape="rect" coords="693,3024,1376,3048"/>
<area href="classdlib_1_1svm__struct__controller__node.html" alt="dlib::svm_struct_controller_node" shape="rect" coords="693,3080,1376,3104"/>
<area href="classdlib_1_1svm__struct__processing__node.html" alt="dlib::svm_struct_processing_node" shape="rect" coords="693,3136,1376,3160"/>
<area href="classdlib_1_1transaction.html" alt="dlib::transaction" shape="rect" coords="693,3192,1376,3216"/>
<area href="classdlib_1_1type__safe__union.html" alt="dlib::type_safe_union&lt; T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20 &gt;" shape="rect" coords="693,3248,1376,3272"/>
<area href="classdlib_1_1scan__fhog__pyramid.html" alt="dlib::scan_fhog_pyramid&lt; Pyramid_type, feature_extractor_type &gt;" shape="rect" coords="693,3304,1376,3328"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; base &gt;" shape="rect" coords="693,3360,1376,3384"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::any::base &gt;" shape="rect" coords="693,3416,1376,3440"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::any_decision_function::base &gt;" shape="rect" coords="693,3472,1376,3496"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::any_trainer::base &gt;" shape="rect" coords="693,3528,1376,3552"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::bayesian_network_join_tree_helpers::bnjt &gt;" shape="rect" coords="693,3584,1376,3608"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::button_style &gt;" shape="rect" coords="693,3640,1376,3664"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::connection &gt;" shape="rect" coords="693,3696,1376,3720"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::impl::impl_bridge_base &gt;" shape="rect" coords="693,3752,1376,3776"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::kcentroid&lt; kernel_type &gt; &gt;" shape="rect" coords="693,3808,1376,3832"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::list_box_style &gt;" shape="rect" coords="693,3864,1376,3888"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::listener &gt;" shape="rect" coords="693,3920,1376,3944"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::menu_item &gt;" shape="rect" coords="693,3976,1376,4000"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::scroll_bar_style &gt;" shape="rect" coords="693,4032,1376,4056"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::scrollable_region_style &gt;" shape="rect" coords="693,4088,1376,4112"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::sockstreambuf &gt;" shape="rect" coords="693,4144,1376,4168"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::svm_struct_processing_node::base &gt;" shape="rect" coords="693,4200,1376,4224"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::text_box_style &gt;" shape="rect" coords="693,4256,1376,4280"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::text_field_style &gt;" shape="rect" coords="693,4312,1376,4336"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::thread_function &gt;" shape="rect" coords="693,4368,1376,4392"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::thread_function::base_funct &gt;" shape="rect" coords="693,4424,1376,4448"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::timeout &gt;" shape="rect" coords="693,4480,1376,4504"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::toggle_button_style &gt;" shape="rect" coords="693,4536,1376,4560"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; dlib::tooltip::data &gt;" shape="rect" coords="693,4592,1376,4616"/>
<area href="classdlib_1_1scoped__ptr.html" alt="dlib::scoped_ptr&lt; LibpngData &gt;" shape="rect" coords="693,4648,1376,4672"/>
<area href="classdlib_1_1stack__based__memory__block.html" alt="dlib::stack_based_memory_block&lt; max_size &gt;" shape="rect" coords="693,4704,1376,4728"/>
<area href="classdlib_1_1stack__based__memory__block.html" alt="dlib::stack_based_memory_block&lt; sizeof(dlib::bfp1_helpers::bound_function_helper_T)&gt;" shape="rect" coords="693,4760,1376,4784"/>
<area href="classdlib_1_1stack__based__memory__block.html" alt="dlib::stack_based_memory_block&lt; sizeof(dlib::mfp_kernel_1_base_class::mp_impl_T)+1 &gt;" shape="rect" coords="693,4816,1376,4840"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:accdcbe41713ea8d4b001b7da946b5f50"><td class="memItemLeft" align="right" valign="top"><a id="accdcbe41713ea8d4b001b7da946b5f50"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>noncopyable</b> (const <a class="el" href="classdlib_1_1noncopyable.html">noncopyable</a> &amp;)</td></tr>
<tr class="separator:accdcbe41713ea8d4b001b7da946b5f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50e3abd8fadcacd7c2f152805023408"><td class="memItemLeft" align="right" valign="top"><a id="ac50e3abd8fadcacd7c2f152805023408"></a>
const <a class="el" href="classdlib_1_1noncopyable.html">noncopyable</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1noncopyable.html">noncopyable</a> &amp;)</td></tr>
<tr class="separator:ac50e3abd8fadcacd7c2f152805023408"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac52d1076f79ef032f5ced545bd4cc4f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac52d1076f79ef032f5ced545bd4cc4f9">&#9670;&nbsp;</a></span>noncopyable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">dlib::noncopyable::noncopyable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">This class makes it easier to declare a class as non-copyable.
If you want to make an object that can't be copied just inherit
from this object.
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="noncopyable_8h_source.html">noncopyable.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
